summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMark Karpeles (MagicalTux) <mark@hell.ne.jp>2008-08-08 20:35:10 +0000
committerMark Karpeles (MagicalTux) <mark@hell.ne.jp>2008-08-08 20:35:10 +0000
commit2277beee781e0cb6adc066215ac5ccc775eb435a (patch)
treed9bf64fd812244af5621432363551a33aef181f8
parentgames-arcade/tuxanci: Update ebuild (new version + new build system) (diff)
downloadsunrise-2277beee781e0cb6adc066215ac5ccc775eb435a.tar.gz
sunrise-2277beee781e0cb6adc066215ac5ccc775eb435a.tar.bz2
sunrise-2277beee781e0cb6adc066215ac5ccc775eb435a.zip
dev-libs/libhid: new package dev-libs/libhid built with help from Tommy[D]
svn path=/sunrise/; revision=6719
-rw-r--r--dev-libs/libhid/ChangeLog8
-rw-r--r--dev-libs/libhid/Manifest4
-rw-r--r--dev-libs/libhid/libhid-0.2.16.ebuild50
-rw-r--r--dev-libs/libhid/metadata.xml5
4 files changed, 67 insertions, 0 deletions
diff --git a/dev-libs/libhid/ChangeLog b/dev-libs/libhid/ChangeLog
new file mode 100644
index 000000000..670727419
--- /dev/null
+++ b/dev-libs/libhid/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-libs/libhid
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 08 Aug 2008; Mark Karpeles (MagicalTux) <mark@hell.ne.jp>
+ +libhid-0.2.16.ebuild, +metadata.xml:
+ new package dev-libs/libhid built with help from Tommy[D]
+
diff --git a/dev-libs/libhid/Manifest b/dev-libs/libhid/Manifest
new file mode 100644
index 000000000..d7659e7db
--- /dev/null
+++ b/dev-libs/libhid/Manifest
@@ -0,0 +1,4 @@
+DIST libhid-0.2.16.tar.gz 435245 RMD160 f61f016ae54bc5532202fd676d38d1f684e7ab8d SHA1 9a25fef674e8f20f97fea6700eb91c21ebbbcc02 SHA256 f6809ab3b9c907cbb05ceba9ee6ca23a705f85fd71588518e14b3a7d9f2550e5
+EBUILD libhid-0.2.16.ebuild 1319 RMD160 8cc55a43a55106878941f2981e4a713d109f561a SHA1 bf94c4e60625da1f7cdd77dab24944a5cd5f6b66 SHA256 4b1ab98784ad184b6d89a4c60eb2c2a37a0e226889da81e3ff3feb057b9f7518
+MISC ChangeLog 277 RMD160 dd870b53997ae9a776badec6e3a0f630dc209942 SHA1 e7af392f5f3c62153d62bb6ee1f13b16dc8dd282 SHA256 31e19c71d9cb48e243c97c3c5a548962c91f0821317ca24e42c7c89f8484ca4a
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/dev-libs/libhid/libhid-0.2.16.ebuild b/dev-libs/libhid/libhid-0.2.16.ebuild
new file mode 100644
index 000000000..1fc9e7724
--- /dev/null
+++ b/dev-libs/libhid/libhid-0.2.16.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="Provides a generic and flexible way to access and interact with
+USB HID devices"
+HOMEPAGE="http://libhid.alioth.debian.org/"
+SRC_URI="http://beta.magicaltux.net/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug doc python"
+
+RDEPEND="dev-libs/libusb"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen )
+ python? ( dev-lang/swig >=dev-lang/python-2.1.0 )"
+
+src_compile() {
+ local myconf
+
+ myconf="$(use_with doc doxygen) $(use_enable debug)"
+
+ if use python; then
+ # libhid includes its own python detection m4 from
+ # http://autoconf-archive.cryp.to/ac_python_devel.html
+ # As it seems to detect python in the wrong place, we'll force it by
+ # passing the right environnement variables, only if we have the python
+ # flag
+ PYTHON_LDFLAGS="$(python-config --ldflags)" \
+ econf --enable-swig ${myconf}
+ else
+ # avoid libhid running swig if it finds it automatically as long as the
+ # "python" use flag is not set
+ econf --disable-swig ${myconf}
+ fi
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+
+ dodoc AUTHORS ChangeLog NEWS README README.licence TODO || die
+ if use doc; then
+ dohtml -r doc/html/*
+ fi
+}
+
diff --git a/dev-libs/libhid/metadata.xml b/dev-libs/libhid/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/dev-libs/libhid/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>